Maybe ABI- or Bug-Level compatibility?